Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
PhysxSpringDesc Class Reference

Describes a joint spring. More...

`#include "physxSpringDesc.h"`

## Public Member Functions
| PhysxSpringDesc (float spring, float damper=0, float targetValue=0)
float | get_damper () const
float | get_spring () const
float | get_target_value () const
void | set_damper (float damper)
void | set_spring (float spring)
void | set_target_value (float target)

## Public Attributes
NxSpringDesc | _desc

## Detailed Description

Describes a joint spring.

The spring is implicitly integrated, so even high spring and damper coefficients should be robust.

Definition at line 25 of file physxSpringDesc.h.

## Constructor & Destructor Documentation

## ◆ PhysxSpringDesc() [1/2]

PhysxSpringDesc::PhysxSpringDesc | ( |  | ) |
| inline

Definition at line 17 of file physxSpringDesc.I.

## ◆ PhysxSpringDesc() [2/2]

PhysxSpringDesc::PhysxSpringDesc | ( | float | spring,
|  | float | damper = 0,
|  | float | targetValue = 0 )
| inline

Definition at line 25 of file physxSpringDesc.I.

## ◆ ~PhysxSpringDesc()

PhysxSpringDesc::~PhysxSpringDesc | ( |  | ) |
| inline

Definition at line 36 of file physxSpringDesc.I.

## Member Function Documentation

## ◆ get_damper()

float PhysxSpringDesc::get_damper | ( |  | ) | const

Definition at line 55 of file physxSpringDesc.cxx.

## ◆ get_spring()

float PhysxSpringDesc::get_spring | ( |  | ) | const

Definition at line 46 of file physxSpringDesc.cxx.

## ◆ get_target_value()

float PhysxSpringDesc::get_target_value | ( |  | ) | const

Definition at line 64 of file physxSpringDesc.cxx.

## ◆ set_damper()

void PhysxSpringDesc::set_damper | ( | float | damper | ) |

Definition at line 28 of file physxSpringDesc.cxx.

## ◆ set_spring()

void PhysxSpringDesc::set_spring | ( | float | spring | ) |

Definition at line 19 of file physxSpringDesc.cxx.

## ◆ set_target_value()

void PhysxSpringDesc::set_target_value | ( | float | target | ) |

Definition at line 37 of file physxSpringDesc.cxx.

## Member Data Documentation

## ◆ _desc

NxSpringDesc PhysxSpringDesc::_desc

Definition at line 41 of file physxSpringDesc.h.

The documentation for this class was generated from the following files:

- panda/src/physx/physxSpringDesc.h
- panda/src/physx/physxSpringDesc.cxx
- panda/src/physx/physxSpringDesc.I